Subject: Re: [PATCH 1/4] rebase -i: add ack action

From: Christian Neukirchen <[email-masked]>
Date: Mon, 11 Apr 2016 14:05:58 +0200

Johannes Schindelin <[email-masked]> writes:

> How about making it easier to use, and much, much more generic, like this?
>
> 1. introducing an `--add-footer` flag to `git commit` that you could use
> like this:
>
> 	git commit --amend --add-footer "Acked-by: Bugs Bunny"

I have a script where I currently do this ala:

GIT_EDITOR="git -c trailer.closes.ifExists=replace interpret-trailers \
        --trailer 'Closes: #$PR [via git-merge-pr]' --in-place" \
git commit --quiet --amend

But I think it could be a good addition to porcelain.
(interpret-trailers still feels hard to drive by a script...)

-- 
Christian Neukirchen  <[email-masked]>  http://chneukirchen.org